import request from '@/utils/request'

// 查询黑名单列表
export function listBlackList(query) {
  return request({
    url: '/business/blackList/list',
    method: 'get',
    params: query
  })
}

// 查询黑名单详细
export function getBlackList(id) {
  return request({
    url: '/business/blackList/' + id,
    method: 'get'
  })
}

// 新增黑名单
export function addBlackList(data) {
  return request({
    url: '/business/blackList',
    method: 'post',
    data: data
  })
}

// 修改黑名单
export function updateBlackList(data) {
  return request({
    url: '/business/blackList',
    method: 'put',
    data: data
  })
}

// 删除黑名单
export function delBlackList(id) {
  return request({
    url: '/business/blackList/' + id,
    method: 'delete'
  })
}

// 导出黑名单
export function exportBlackList(query) {
  return request({
    url: '/business/blackList/export',
    method: 'get',
    params: query
  })
}